Indexers - Reset Docs
重置数据源中的特定文档,以便由索引器选择性地重新引入。
POST {endpoint}/indexers('{indexerName}')/search.resetdocs?api-version=2023-10-01-Preview
POST {endpoint}/indexers('{indexerName}')/search.resetdocs?overwrite={overwrite}&api-version=2023-10-01-Preview
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
endpoint
|
path | True |
string |
搜索服务的终结点 URL。 |
|
indexer
|
path | True |
string |
要为其重置文档的索引器的名称。 |
|
api-version
|
query | True |
string |
客户端 API 版本。 |
|
overwrite
|
query |
boolean |
如果为 false,则密钥或 ID 将追加到现有密钥。 如果为 true,则只有此有效负载中的密钥或 ID 将排队以重新引入。 |
请求头
| 名称 | 必需 | 类型 | 说明 |
|---|---|---|---|
| x-ms-client-request-id |
string (uuid) |
随请求一起发送的跟踪 ID,以帮助进行调试。 |
请求正文
| 名称 | 类型 | 说明 |
|---|---|---|
| datasourceDocumentIds |
string[] |
要重置的数据源文档标识符 |
| documentKeys |
string[] |
要重置的文档键 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 204 No Content | ||
| Other Status Codes |
错误响应。 |
示例
SearchServiceResetDocs
示例请求
POST https://myservice.search.windows.net/indexers('myindexer')/search.resetdocs?overwrite=False&api-version=2023-10-01-Preview
{
"documentKeys": [
"documentKey1",
"documentKey2"
]
}
示例响应
定义
SearchError
描述 API 的错误条件。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
服务器定义的错误代码集之一。 |
| details |
导致此报告错误的特定错误的详细信息数组。 |
|
| message |
string |
错误的人工可读表示形式。 |